Bug 818034 - Topic Based Output CommonName/Technology>Concern pages do not refresh upon fresh brew
Topic Based Output CommonName/Technology>Concern pages do not refresh upon fr...
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Matthew Casperson
Depends On:
  Show dependency treegraph
Reported: 2012-05-02 00:01 EDT by Misha H. Ali
Modified: 2014-08-04 18:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-10 01:39:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2012-05-02 00:01:12 EDT
Description of problem:

I used the MHA-JDG-GA filter to brew a fresh version of the user documentation to the stage (output: http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/User_Documentation/index.html)

Some of the CommonName:Concern pages do not show all the topics tagged in that category. For example, the Cache Store:Configuration page should list the following 16 topics:


What actually displays:


Oddly, this issue does not recur when using the MHA-JDGBeta filter (checked doc-stage and docs.redhat.com).

lnewson's quick check resulted in the following assessment: 

it's an issue with the cover page for the toc. The topic actually exists on the stage but the link isn't generated in the cover page.
Comment 1 Lee Newson 2012-05-10 00:59:56 EDT
I believe I've found the cause of this. The MHA-JDG-GA has the "Display only the Task and Overview topic types in the TOC and landing pages. If not enabled, all topic types will be displayed in the TOC." option ticked while the MHA-JDGBeta filter does not.

I'll catch you on IRC to see if that was unticked before building, however given the survey links are in the book I'm gonna assume this wasn't unticked.

Note You need to log in before you can comment on or make changes to this bug.